Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 310367 - x11-drivers/ati-drivers-10.4_beta bump request
Summary: x11-drivers/ati-drivers-10.4_beta bump request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords: Inclusion
Depends on:
Blocks:
 
Reported: 2010-03-20 13:05 UTC by Matt
Modified: 2010-08-01 08:30 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ati-drivers 8.721 (aka 10.4 beta) ebuild (ati-drivers-8.721.ebuild,17.99 KB, text/plain)
2010-03-21 11:20 UTC, Enrico Tagliavini
Details
A quick hack to rename it to 10.4_beta, like it should be. (ati-drivers-10.4_beta.ebuild,17.79 KB, text/plain)
2010-03-21 16:11 UTC, Navid Zamani
Details
Output from failed patching, using ati-drivers-2.6.33.patch (ati-drivers-2.6.33.patch.out,16.64 KB, text/plain)
2010-03-21 17:04 UTC, Navid Zamani
Details
This one installs fine. (ati-drivers-10.4_beta.ebuild,17.56 KB, text/plain)
2010-03-21 17:11 UTC, Navid Zamani
Details
ati-drivers-8.723.1 ebuild (ati-drivers-8.723.1.ebuild,18.19 KB, text/plain)
2010-04-11 18:35 UTC, Enrico Tagliavini
Details
patch from 8.721 to 8.723.1 (ati-drivers.patch,697 bytes, text/plain)
2010-04-13 20:57 UTC, Ming-Wei
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2010-03-20 13:05:04 UTC
AMD/ATI again released a pre-release of their proprietary Catalyst Display driver for the upcoming version of Ubuntu Lucid Lynx 10.4:

more info can be found at:
https://launchpad.net/ubuntu/lucid/+source/fglrx-installer/2:8.721-0ubuntu1

and
http://www.phoronix.com/scan.php?page=news_item&px=ODA4MA

Changelog
fglrx-installer (2:8.721-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Restore compatibility with kernel 2.6.32 and xserver 1.7 (LP: #494699).
    - Add Passive Stereo support on workstation (FireGL/FirePro) hardware.
    - Add Eyefinity support (more than 2 monitors on Radeon HD 5xxx hardware).
      Officially WS-only but should work on consumer boards as well.
  * Port packaging to the new alternatives system (LP: #258038).

kernel-support for 2.6.33 could be added by a modified 2.6.32-9.11-fix_compilation.patch (2.6.33-9.12-fix_compilation.patch)
Comment 1 Pacho Ramos gentoo-dev 2010-03-20 15:57:06 UTC
Please don't add arches yourself
Comment 2 Matt 2010-03-20 17:04:24 UTC
I had assumed that it was logical since it only includes support for x86 & amd64/x86_64

sorry for the annoyance & thanks Pacho !
Comment 3 Enrico Tagliavini 2010-03-21 11:20:03 UTC
Created attachment 224481 [details]
ati-drivers 8.721 (aka 10.4 beta) ebuild

I've tried to modify the 10.2 ebuild to make it work with this ubuntu package. It is a mess, but it compiles here. BUT i can't test it at the moment so it may fail you have been warned. But it may be a good start.
Comment 4 Enrico Tagliavini 2010-03-21 11:20:31 UTC
Oh i forgotten i used a newer package from here https://launchpad.net/ubuntu/lucid/+source/fglrx-installer/2:8.721-0ubuntu2
Comment 5 Luca Barbato gentoo-dev 2010-03-21 12:44:06 UTC
I put it in portage, it should support just xorg-server-1.7 only and it is already p.masked.

Please test and report back =)
Comment 6 lukas elsner 2010-03-21 13:56:15 UTC
i cannot see this package in portage! :(
What could be wrong here?
Comment 7 ScytheMan 2010-03-21 14:49:13 UTC
(In reply to comment #6)
> i cannot see this package in portage! :(
> What could be wrong here?
> 

it's in the tree, but named ati-drivers-8.721
btw. whats the purpose of calling it 8.721 and not 10.4_pre/alpha/beta
Comment 8 Enrico Tagliavini 2010-03-21 15:13:28 UTC
(In reply to comment #7)
> it's in the tree, but named ati-drivers-8.721
> btw. whats the purpose of calling it 8.721 and not 10.4_pre/alpha/beta
> 

It is just more handy for the ebuild structure and it is unsupported so devs want that only people that know what they are doing to use this :)
Comment 9 Navid Zamani 2010-03-21 15:30:16 UTC
(In reply to comment #5)
> It is just more handy for the ebuild structure and it is unsupported so devs
> want that only people that know what they are doing to use this :)

Now you created a mess. Either all the packages use the 10.x-like scheme, or they all use the 8.xxx-like one.
Now portage thinks that the newest ebuild is an old one.

Hard-masking is already enough. Gentoo is not Windows. People are supposed to know what they are doing. Or else fall flat on their faces. ^^
Especially when unmasking a hard-masked package. Because that’s what it’s there for.

I agree, that the 10.x scheme is a bit unclean. But this mess is even more unclean. Please rename all the ebuilds to their proper names. (8.xxx)
Then everything is how it should be. :)

Or you have to come up with something else that doesn’t break portage’s “this one is newer and this one is older” logic, when it becomes stable and tons of people will fall over it. ;)
Comment 10 Navid Zamani 2010-03-21 15:32:16 UTC
Oh, and good luck, wen ATi brings out a real 9.9 or 10.x driver, and you still got >=x11-drivers/ati-drivers-9.0 masked.
Comment 11 Enrico Tagliavini 2010-03-21 15:38:27 UTC
(In reply to comment #9)
> Now you created a mess. Either all the packages use the 10.x-like scheme, or
> they all use the 8.xxx-like one.
> Now portage thinks that the newest ebuild is an old one.

Not me, i just followed the devs wishes. The previous beta of fglrx for ubuntu 9.10 was named with the 8.xxx version scheme for the reason i explained earlier.
Comment 12 Navid Zamani 2010-03-21 15:39:21 UTC
Ok, I told you it would go up in flames. Now I tried it, and it did:
I updated xorg 1.7 not masked anymore, and this is what I get:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-drivers/ati-drivers:1

  ('installed', '/', 'x11-drivers/ati-drivers-10.2', 'nomerge') pulled in by
    >=x11-drivers/ati-drivers-9.10 required by ('installed', '/', 'x11-libs/xvba-video-0.6.6', 'nomerge')
    (and 2 more)

  ('ebuild', '/', 'x11-drivers/ati-drivers-8.721', 'merge') pulled in by
    x11-drivers/ati-drivers required by ('ebuild', '/', 'x11-base/xorg-drivers-1.7', 'merge')
    x11-drivers/ati-drivers required by @world
Comment 13 Enrico Tagliavini 2010-03-21 15:51:29 UTC
xvba-video is not a gentoo official package afaik. ad dep it has >=x11-drivers/ati-drivers-9.10 and of course this doesn't work with this ebuild since the version is 8.721 . But this issue should be reported to the mantainer of xvba-video. Anyway you can edit xvba-video ebuild and remove the version from the dep, this will solve your issue

Comment 14 Navid Zamani 2010-03-21 16:06:28 UTC
By the way: The ebuild internally acts, as if the driver would only support opengl 1.2. That’s certainly not true, is it?

    local ATI_ROOT=/usr/$(get_libdir)/opengl/ati
    # To make sure we do not miss a spot when these change.
    local libmajor=1 libminor=2
    local libver=${libmajor}.${libminor}
Comment 15 Navid Zamani 2010-03-21 16:11:15 UTC
Created attachment 224549 [details]
A quick hack to rename it to 10.4_beta, like it should be.

(In reply to comment #13)
Now it’s getting silly. ^^
As if that package were the only one. Missed the “(and 2 more)”?
Please fix your stuff.

I just modded the ebuild to be 10.4_beta, and am in the process of updating the system. We’ll see how it works out.
Comment 16 Navid Zamani 2010-03-21 17:04:15 UTC
Created attachment 224561 [details]
Output from failed patching, using ati-drivers-2.6.33.patch

The ebuild fails, since ati-drivers-2.6.33.patch can’t be applied.
Comment 17 Navid Zamani 2010-03-21 17:10:10 UTC
Comment on attachment 224561 [details]
Output from failed patching, using ati-drivers-2.6.33.patch

(In reply to comment #16)
Ok, forget it, I missed one of those "$majorversion -gt 8" checks.
Comment 18 Navid Zamani 2010-03-21 17:11:28 UTC
Created attachment 224567 [details]
This one installs fine.

Fixed.

Just have to start X with it and see if it works.
Comment 19 Navid Zamani 2010-03-21 18:56:30 UTC
OK, I’m running the new driver on Xorg 1.7 right now!! Works as advertised. Yay :)

Just to be sure, in case you run into trouble:
I did not keep any of the files in /etc/ati/, did revdep-rebuild, and rebooted.
Of course I had to reconfigure the displays via xrandr. But I prefer starting with a clean configuration.
Also now the font sizes got much smaller, wich I have to fix too.

But other than that, no problems yet.
Comment 20 Navid Zamani 2010-03-21 19:02:52 UTC
Beware: My ebuild is just a quick hack. I removed the check for the old slot of packages at two places, and used $REAL_PV (=8.721) instead of $PV. (A diff shows the changes.)

So this ebuild is not meant to end up in portage just like that! 
Decide for yourself how you wanna do it.
But the masking required with ati-drivers-8.721.ebuild WILL get you in trouble sooner or later.

If unsure, wait until 10.4 is out of beta and officially in portage. :)
Comment 21 Matt 2010-03-21 20:19:40 UTC
thanks guys !

yeah, you don't need the other ati-drivers-2.6.33.patch any more - since ati-drivers-fix_compilation-bug-297322.patch provides the fix for the compilation-error with 2.6.33 ^^

I'll at earliest will be able to try that ebuild later this evening / night

any experience yet with xvba and this driver ? does it work at all ? (I read in the thread over at phoronix.com/forums that it (xvba) seems to work with some cards of the 5xxx / Evergreen series


is it stable enough for production ?

in the past I always had made the experience, that the provided pre-release drivers for Ubuntu were rather unstable and poor in features (besides support for newer xorg-server or kernel versions)
Comment 22 Navid Zamani 2010-03-21 20:38:10 UTC
(In reply to comment #21)
> yeah, you don't need the other ati-drivers-2.6.33.patch any more - since
> ati-drivers-fix_compilation-bug-297322.patch provides the fix for the
> compilation-error with 2.6.33 ^^

Ohoh… I still used that 2.6.33 patch. Could someone please work the new patch in, and remove the old one, if that is the case?

> any experience yet with xvba and this driver ? does it work at all ?
No idea how to test it. Would it accelerate H.264? Since I only have H.264 and XviD videos here. I heard it still does only support MPEG2…

> (I read in the thread over at phoronix.com/forums that it (xvba) seems
> to work with some cards of the 5xxx / Evergreen series
I only have a HD 4860.

> is it stable enough for production ?
I’m running it for a couple of hours now. Switched to the console and back, between two different X sessions with different display setups, played a video, and am using a big desktop spread over two displays.
The only thing I didn’t test is 3D acceleration (e.g. in games).
But I think since KDE4 already uses that to render its compositing desktop, it should work. ;)
Comment 23 Navid Zamani 2010-03-21 20:39:09 UTC
(In reply to comment #22)
> I only have a HD 4860.
No, that card doesn’t exist. ^^
I have a HD 4850!
Comment 24 lukas elsner 2010-03-21 20:40:10 UTC
Well, finally it is working. OpenGL is running fine and my fan is much more quiet.
compiling fine against 2.6.34-rc2
Thanks for this contribution.
Comment 25 Matt 2010-03-21 21:07:57 UTC
@Lukas:

it works also with 2.6.34-rc* ?

that's amazing news ^^

this surely is a badass driver-release :)


@Navid:

I made a test-compile by manually unpacking, preparing and compiling the ebuild and it worked fine so ati-drivers-2.6.33.patch definitely shouldn't be needed anymore ...

thanks for the info, btw !

afaik you need special builds of mplayer and other video players to be able to unleash or even access the UVD2

it should support several video formats, at least h264 (according to what I read at phoronix.com/forums)
Comment 26 Navid Zamani 2010-03-21 21:20:37 UTC
(In reply to comment #25)
> this surely is a badass driver-release :)
You mean just as badass as caring for your kids? ^^ (As Chris Rock would have said.) It’s supposed to work with xorg-1.7. That deserves no big tanks. :)

> afaik you need special builds of mplayer and other video players to be able to
> unleash or even access the UVD2
I know. I already tried that, a couple of month ago. I’ll find it. But I remember that it’s still very experimental.

> it should support several video formats, at least h264 (according to what I
> read at phoronix.com/forums)
Well, I hope it’s not using the same buggy decoder that caused all my videos to have extreme whites and blacks (basically glowing and with nearly no contrast in-between) back then.

We’ll see.

Comment 27 Sebastian Pipping gentoo-dev 2010-03-22 17:04:29 UTC
assigning and renaming.

old title: "[ebuild request] x11-drivers/ati-drivers-10.4pre (8.721) for Ubuntu released, support for xorg-server-1.7* !"
Comment 28 Navid Zamani 2010-03-22 17:13:42 UTC
By the way: While the drivers seems pretty stable, I have problems with KDE 4.4(.1) here. I can’t enable compositing, and while in the system settings for the desktop, I get crashes of X. No idea if this is because of the driver, or because of KDE4’s all-around crappiness, as this is the first time I try KDE4.
Comment 29 Andreas Klauer 2010-03-23 00:08:22 UTC
Removed my old package.mask that prevented me from upgrading X.Org so far.
Now running ~amd64 with ati-drivers-10.4_beta.ebuild with up to date X.Org.
No issues whatsoever. Thank you so much for this ebuild!
Comment 30 Navid Zamani 2010-03-23 00:11:26 UTC
(In reply to comment #29)
> Now running ~amd64 with ati-drivers-10.4_beta.ebuild with up to date X.Org.
> No issues whatsoever.

Do you have KDE 4.4.1 and compositing enabled? I can’t get it to work here with this driver. :/
Comment 31 Sebastian Lüttich 2010-03-23 14:47:54 UTC
Can someone confirm my issue, or show me wrong?

My hardware is a Thinkpad W500 with Intel GM45 and Radeon Mobility HD3650 (FireGL)
The internal card (intel) is switched off from the bios.

I switched from 10.2 under xorg-server-1.6.5 to the new beta and xorg-server-1.7.6.

With the old driver I could connect a external monitor via a DP-DVI-Adapter.  Now xrandr doesn't work anymore.  External Analog-VGA works, the displayport: zilch. No, yes I mean _no_ config-changes.  Everything else works, the compiz lag is still visible, but at least we could switch to xorg-server-1.7.

Is it my fault, or the drivers'?
Comment 32 Navid Zamani 2010-03-23 16:10:51 UTC
(In reply to comment #31)
I think it’s way more complex than that. I can’t use compiz at all anymore, so I can’t directly confirm your compiz problem, but it shouldn’t be related.
There are similar problems with kwm though. Plasma crashes often. And compositing fails to start, or starts and then when you go back to the configs it’s disabled again. Also configuring anything related to kwm makes the screen flicker twice and then often crash plasma or even X as a whole.
Now the important part for your case: After such incidents, the xrandr settings are completely reset to a very strange setup (1024x764 on the first analog screen, and a 1024x768 desktop on a 1600x1200 resolution [yes, really, wtf?] on the second screen. You also have to change it *twice* in the settings, or the first screen will be cut off at the height of 786 or so.

But it can just as well be a KDE error. (4.4.1 here)
It’s just extremely annoying to have all those crashes.
Comment 33 Roman v. Gemmeren 2010-03-23 17:52:55 UTC
hi,

thx for the updated ebuild, it seems to work fine here (kde3,even kaffeine doesn't crash anymore with "xv" and dvbt).
I never used it, but the catalyst control center throws this error:

$> amdcccle
amdcccle: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory
Comment 34 Navid Zamani 2010-03-23 18:09:12 UTC
(In reply to comment #33)
I hope you’re doing your revdep-rebuilds (and perhaps emerge -a1tv @preserved_rebuild) after your updates. I’d do that right now, because it smells just like that. :)
Comment 35 Enrico Tagliavini 2010-03-23 18:42:46 UTC
(In reply to comment #33)
> $> amdcccle
> amdcccle: error while loading shared libraries: libQtGui.so.4: cannot open
> shared object file: No such file or directory
> 

well you are right there is a missing RDEPEND x11-libs/qt-gui which is needed by amdcccle only. I might work on a patch for this
Comment 36 Roman v. Gemmeren 2010-03-23 19:02:33 UTC
(In reply to comment #35)
> well you are right there is a missing RDEPEND x11-libs/qt-gui which is needed
> by amdcccle only. I might work on a patch for this
> 
That would be a good idea. Maybe just make the complete control-center optional? I am running a qt3-only system, and don't want to install the whole qt4-* stuff just because of this driver...
Comment 37 Navid Zamani 2010-03-23 21:48:32 UTC
(In reply to comment #36)
> That would be a good idea. Maybe just make the complete control-center optional?
I second that. It would be analog to Windows, where the catalyst control center also is optional. Also, it’s the Gentoo spirit of freedom trough choice.
Comment 38 Enrico Tagliavini 2010-03-23 22:18:54 UTC
(In reply to comment #36)
> That would be a good idea. Maybe just make the complete control-center
> optional? I am running a qt3-only system, and don't want to install the whole
> qt4-* stuff just because of this driver...

take a look at bug 310993 :)

Comment 39 Rémi Cardona gentoo-dev 2010-03-23 22:33:02 UTC
(In reply to comment #37)
> Also, it’s the Gentoo spirit of freedom trough choice.

No no no no no no no, and for the last time, no.

Gentoo isn't about choice, it's about power. We don't _have_ to give users all the freedom, but we do give users the _power_ to make their own changes easily (with overlays, for example).

Say it with me: Gentoo is about empowering users.

Sorry for the slightly off-topic rant, it had to be said.

Thanks
Comment 40 Navid Zamani 2010-03-23 23:13:49 UTC
(In reply to comment #39)
> Say it with me: Gentoo is about empowering users.
Sorry to reply, but there is no power without choice. As power is defined as having the choice. :)
(Don’t try logic on me. I’m a professional. ^^)

But since freedom does not mean that you *have* to add options in there, but only that you won’t limit the user (intentionally), the spirit of “Gentoo is about empowering users.” is still correct. :)
Comment 41 Rémi Cardona gentoo-dev 2010-03-23 23:37:51 UTC
(In reply to comment #40)
> But since freedom does not mean that you *have* to add options in there, but
> only that you won’t limit the user (intentionally), the spirit of “Gentoo
> is about empowering users.” is still correct. :)

We _do_ intentionally limit choices when we think it makes sense. But the freedom you speak of comes out of us making it easy to bypass our choices.

We _encourage_ users to do mini-forks of Gentoo by having their own ebuilds in their own overlays when we restrict choices intentionally.

Cheers
Comment 42 Tom-Steve Watzke 2010-03-27 13:48:45 UTC
Thank you all, got a working 10.4_beta used for ATI Radeon HD 4890, kernel 2.6.33 and xorg-server 1.7.

*thumbs-up*
Comment 43 lukas elsner 2010-04-06 11:05:52 UTC
compiles fine against 2.6.34-rc3-git2, but errors against 2.6.34-rc3-git4
Comment 44 ScytheMan 2010-04-11 18:10:10 UTC
New beta release:
https://lists.ubuntu.com/archives/lucid-changes/2010-April/010166.html
Comment 45 Enrico Tagliavini 2010-04-11 18:35:26 UTC
Created attachment 227425 [details]
ati-drivers-8.723.1 ebuild

This is the ebuild for the new beta release for ubuntu. Tested with xorg-server-1.7.6 on amd64 no-multilib. see bug 308521 for the keyword file used to unmask xorg.
Comment 46 Navid Zamani 2010-04-11 19:21:49 UTC
(In reply to comment #45)
Yay, I just noticed that I don’t need that anymore, since the open-source radeon drivers are good enough to free you from the chains of fglrx (tested with an R770 aka HD 4850, compiz, KDE4, big desktop, video, 3d)! Finally! :)
If you got a HD 48xx card, and want to switch, ask me. But in return you have to fill some wiki somewhere with everything you get from me. ^^
Comment 47 Enrico Tagliavini 2010-04-11 20:55:13 UTC
(In reply to comment #46)
> (In reply to comment #45)
> Yay, I just noticed that I don’t need that anymore, since the open-source
> radeon drivers are good enough to free you from the chains of fglrx (tested
> with an R770 aka HD 4850, compiz, KDE4, big desktop, video, 3d)! Finally! :)
> If you got a HD 48xx card, and want to switch, ask me. But in return you have
> to fill some wiki somewhere with everything you get from me. ^^

Thank you very much for the offer. I already use the radeon driver from a long time. I just try to help to mantain the fglrx driver since i found it usefull for some needs

Comment 48 Ming-Wei 2010-04-13 20:57:23 UTC
Created attachment 227663 [details]
patch from 8.721 to 8.723.1
Comment 49 Ming-Wei 2010-04-13 20:57:40 UTC
There is a newer beta out (version 8.723.1), here is a diff to the ebuild in the attachment (ati-drivers.patch).
Comment 50 Ming-Wei 2010-04-13 20:58:58 UTC
(In reply to comment #49)
> There is a newer beta out (version 8.723.1), here is a diff to the ebuild in
> the attachment (ati-drivers.patch).


Hmm sorry I missed the ebuild for 8.723.1 :(
Comment 51 urcindalo 2010-04-16 08:08:58 UTC
Does it have xorg-server 1.8 support?

Apparently Arch Linux has support for it:
http://www.phoronix.com/forums/showthread.php?t=23082
Comment 52 Roman v. Gemmeren 2010-04-16 08:17:57 UTC
(In reply to comment #51)
> Does it have xorg-server 1.8 support?
> 
> Apparently Arch Linux has support for it:
> http://www.phoronix.com/forums/showthread.php?t=23082
> 
Officially they don't. Because the ati-driver detects the X-Version wrong, when 
running startx.
On Arch they have patched the xorg-server-1.8 package with another version number so the ati-driver works.

For gentoo i have made an ebuild including the patch, and it seems to work.
Comment 53 Roman v. Gemmeren 2010-04-16 08:19:18 UTC
sorry, forgot to mention: see this invalid bug:  http://bugs.gentoo.org/show_bug.cgi?id=315415

Comment 54 ScytheMan 2010-04-17 10:42:40 UTC
  09 Apr 2010; Christian Faulhammer <fauli@gentoo.org>
  xorg-server-1.7.6.ebuild:
  stable x86, bug 308521
  16 Apr 2010; Pacho Ramos <pacho@gentoo.org> xorg-server-1.7.6.ebuild:
  amd64 stable, bug 308521

With xorg-server marked stable on two main arches, it would be a pleasure to see this in portage as ati-drivers-10.4_betaX, so that fglrx-users can easily unmask and use it.
Comment 55 Tom-Steve Watzke 2010-04-18 12:09:54 UTC
Using patch of comment #53, I can confirm a working ebuild, although I needed to fix both the patch and the upper ebuild:
1) xorg-server patch (removing line breaks after the version of the line to be changed)
2) applying patch of comment #48
3) Removing depency from ebuild: !>=x11-base/xorg-server-1.8.0
Comment 56 Jeroen Roos 2010-04-23 20:13:50 UTC
On my system, with a HD5750 card, both 8.721 and 8.723.1 freeze my system when starting X.

uname -a:
Linux jeroen 2.6.33-gentoo-r1 #1 SMP PREEMPT Fri Apr 23 20:57:52 CEST 2010 x86_64 AMD Phenom(tm) II X4 955 Processor AuthenticAMD GNU/Linux

This is what shows up in slim.log (not in Xorg.0.log, for some weird reason)

X.Org X Server 1.7.6
Release Date: 2010-03-17
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.31-gentoo-r6 x86_64
Current Operating System: Linux jeroen 2.6.33-gentoo-r1 #1 SMP PREEMPT Fri Apr 23 20:57:52 CEST 2010 x86_64
Kernel command line: root=/dev/ram0 real_root=/dev/sda3
Build Date: 22 April 2010  09:37:42PM

Current version of pixman: 0.17.2
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Apr 23 21:18:13 2010
(==) Using config file: "/etc/X11/xorg.conf"
(EE) Failed to load module "xtrap" (module does not exist, 0)
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:0:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:2:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:6:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:17:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:18:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:18:1) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:18:2) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:19:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:19:1) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:19:2) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:20:0) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:20:1) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:20:2) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:20:3) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:20:4) found
(WW) fglrx: No matching Device section for instance (BusID PCI:0@0:20:5) found
(WW) fglrx: N

So, appearantly, it freezes while detecting the card...

Comment 57 Jeroen Roos 2010-04-25 15:12:36 UTC
Update: I fixed the freeze with
# eselect opengl set ati
Comment 58 Artie Ziff 2010-04-27 07:13:10 UTC
Hello.

Can someone elaborate on how to:

emerge ati-drivers-10.4_beta

thanks!
Comment 60 Anatoly 2010-04-28 22:32:32 UTC
(In reply to comment #59)
> 10.4 is out:

Used slightly modified ebuild for 10.3.  The driver works fine with xorg-server-1.7.6 (and backfill patch for smooth resizing).
Comment 61 404 Error 2010-04-29 11:47:13 UTC
ati-drivers-10.4 builds and works wonderfully well with 2.6.34 kernel series but it needs an additionnal patch (slab.h inclusion in kcl_wait.c). 

Good news : some guys also reported that this version is functionnal with Xorg 7.6 (xserver 1.8) but the xserver version must be faked in its configuration files (rebuild required). :)




Comment 62 Enrico Tagliavini 2010-04-30 08:26:25 UTC
(In reply to comment #54)
> With xorg-server marked stable on two main arches, it would be a pleasure to
> see this in portage as ati-drivers-10.4_betaX, so that fglrx-users can easily
> unmask and use it.
> 

It is a bit late since 10.4 is in portage now but ati-drivers-8.721 (aka the 10.4 beta) was added 21 Mar 2010 
Comment 63 Matteo Modesti 2010-04-30 16:47:40 UTC
Since ati-drivers-10.4 is in the tree, I think ati-drivers-8.721 should be removed from tree to avoid more confusion and this bug should be closed.
Comment 64 Tomáš Chvátal (RETIRED) gentoo-dev 2010-08-01 08:30:19 UTC
As per previous comment.